Bug 615696 - rhn-satellite-exporter throws error ('Truncating field to fit in satellite schema. First 30 bytes are:', 'The kernel packages contain th')
rhn-satellite-exporter throws error ('Truncating field to fit in satellite sc...
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-17 23:34 EDT by Thomas Cameron
Modified: 2010-07-18 14:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-18 14:22:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Cameron 2010-07-17 23:34:09 EDT
Description of problem:
Using rhn-satellite-exporter, I get this:

[root@satellite ~]# rhn-satellite-exporter -d /mnt/nfs/ -c rhel-x86_64-server-5 -c rhel-x86_64-server-cluster-5 -c rhel-x86_64-server-cluster-storage-5 -c rhel-x86_64-server-vt-5 -c rhn-tools-rhel-x86_64-server-5 -c rhel-x86_64-server-supplementary-5 -c rhel-x86_64-server-productivity-5
18:56:07 Gathering channel info...
Appending channels []
18:56:07 Gathering binary RPM info...
18:56:08 Gathering package info...
18:56:08 Gathering errata info...
18:56:09 Gathering kickstart data...
18:56:09 Gathering kickstart files info...


18:56:09 Exporting channel families...
           ____________________
Exporting: #################### - Done!


18:56:13 Exporting arches...
           ____________________
Exporting: #################### - Done!


18:56:18 Exporting arches extra...
           ____________________
Exporting: #################### - Done!


18:56:20 Exporting channel info...
           ____________________
Exporting: Dumping Base Channel Packages
##Dumping Base Channel Packages
###Dumping Base Channel Packages
###Dumping Base Channel Packages
###Dumping Base Channel Packages
###Dumping Base Channel Packages
###Dumping Base Channel Packages
### - Done!


18:57:11 Exporting blacklists...
           ____________________
Exporting: #################### - Done!


18:57:14 Exporting short packages...
           ____________________
Exporting: #################### - Done!


19:02:23 Exporting binary RPMs...
           ____________________
Exporting: #################### - Done!


19:49:09 Exporting packages...
           ____________________
Exporting: #############
####### - Done!


22:57:31 Exporting errata...
           ____________________
Exporting: ######RHN 16311 2010/07/17 22:58:34 -05:00: ('Truncating field to fit in satellite schema. First 30 bytes are:', 'The kernel packages contain th')
############## - Done!


23:01:34 Exporting kickstart data...
           ____________________
Exporting: #################### - Done!


23:01:35 Exporting kickstart files...
           ____________________
Exporting: #################### - Done!
[root@satellite ~]# 


Now I'm worried about whether the content I've spent the last several hours exporting is going to be right.

I'll be using this export to populate a new Satellite server and will report what I find later.
Comment 1 Thomas Cameron 2010-07-18 14:22:52 EDT
Seems to have imported just fine.  I guess this was transient, probably not a huge deal.  I've grepped for that string throughout the entire /var directory structure and can't find it, so I don't know if it can be reproduced.

Probably best to close this as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.